resource "cloudflare_record" "studi-o_com_www" {
  domain = "${var.studi-odesigns_com}"
  name   = "www"
  value  = "automatedbytes.com"
  type   = "CNAME"
  ttl    = 3600
}

resource "cloudflare_record" "studi-o_com_txt" {
    domain = "${var.studi-odesigns_com}"
    name = "@"
    type = "TXT"
    value = "google-site-verification=AJw8umnraEhTYuHsrVc-5NvA7E2p08OF90HgPv8jWX4"
    ttl = 120
}

resource "cloudflare_record" "studi-o_com_mx" {
    domain = "${var.studi-odesigns_com}"
    name = "@"
    type = "MX"
    value = "aspmx.l.google.com"
    priority = "1"
}

resource "cloudflare_record" "studi-o_com_mx1" {
    domain = "${var.studi-odesigns_com}"
    name = "@"
    type = "MX"
    value = "alt1.aspmx.l.google.com"
    priority = "5"
}

resource "cloudflare_record" "studi-o_com_mx2" {
    domain = "${var.studi-odesigns_com}"
    name = "@"
    type = "MX"
    value = "alt2.aspmx.l.google.com"
    priority = "5"
}
resource "cloudflare_record" "studi-o_com_mx3" {
    domain = "${var.studi-odesigns_com}"
    name = "@"
    type = "MX"
    value = "aspmx2.googlemail.com"
    priority = "10"
}
resource "cloudflare_record" "studi-o_com_mx4" {
    domain = "${var.studi-odesigns_com}"
    name = "@"
    type = "MX"
    value = "aspmx3.googlemail.com"
    priority = "10"
}

resource "cloudflare_record" "studi-o_ca_www" {
  domain = "${var.studi-odesigns_ca}"
  name   = "www"
  value  = "automatedbytes.com"
  type   = "CNAME"
  ttl    = 3600
}

resource "cloudflare_record" "studi-o_ca_txt" {
    domain = "${var.studi-odesigns_ca}"
    name = "@"
    type = "TXT"
    value = "google-site-verification=1VQq6Qc0OSpPKs_cd9nKIAGiTw9I7uQbmwnlGd44yo8"
    ttl = 120
}

resource "cloudflare_record" "studi-o_ca_mx" {
    domain = "${var.studi-odesigns_ca}"
    name = "@"
    type = "MX"
    value = "aspmx.l.google.com"
    priority = "1"
}

resource "cloudflare_record" "studi-o_ca_mx1" {
    domain = "${var.studi-odesigns_ca}"
    name = "@"
    type = "MX"
    value = "alt1.aspmx.l.google.com"
    priority = "5"
}

resource "cloudflare_record" "studi-o_ca_mx2" {
    domain = "${var.studi-odesigns_ca}"
    name = "@"
    type = "MX"
    value = "alt2.aspmx.l.google.com"
    priority = "5"
}
resource "cloudflare_record" "studi-o_ca_mx3" {
    domain = "${var.studi-odesigns_ca}"
    name = "@"
    type = "MX"
    value = "aspmx2.googlemail.com"
    priority = "10"
}
resource "cloudflare_record" "studi-o_ca_mx4" {
    domain = "${var.studi-odesigns_ca}"
    name = "@"
    type = "MX"
    value = "aspmx3.googlemail.com"
    priority = "10"
}